from cpl_core.application import ApplicationABC
from cpl_core.configuration import ConfigurationABC
from cpl_core.console import Console
from cpl_core.dependency_injection import ServiceProviderABC

from multi_install.abc.menu_service_abc import MenuServiceABC


class Application(ApplicationABC):

    def __init__(self, config: ConfigurationABC, services: ServiceProviderABC):
        ApplicationABC.__init__(self, config, services)
        
        self._menu_service: MenuServiceABC = services.get_service(MenuServiceABC)

    def configure(self):
        pass
    
    def main(self):
        self._menu_service.run()